## ros-noetic-rospilot 1.6.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rospilot)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS geometry_msgs sensor_msgs std_msgs message_generation roslint roscpp)
find_package(PkgConfig REQUIRED)
find_package(OpenCV 4 REQUIRED)
pkg_check_modules(libgphoto2 REQUIRED libgphoto2)
pkg_check_modules(libavcodec REQUIRED libavcodec)
pkg_check_modules(libavformat REQUIRED libavformat)
pkg_check_modules(libavutil REQUIRED libavutil)
pkg_check_modules(libswscale REQUIRED libswscale)
pkg_check_modules(libnl-3.0 REQUIRED libnl-3.0)
pkg_check_modules(libnl-genl-3.0 REQUIRED libnl-genl-3.0)
pkg_check_modules(libmicrohttpd REQUIRED libmicrohttpd)

catkin_python_setup()

file(GLOB python_source_files nodes/*.py)
roslint_python(${python_source_files})
roslint_add_test()

## System dependencies are found with CMake's conventions
# find_package(Boost REQUIRED COMPONENTS system)


## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
# catkin_python_setup()

find_library(LIBJPEG_TURBO_PATH NAMES "libturbojpeg.so.0" "libturbojpeg.so.1")
#######################################
## Declare ROS messages and services ##
#######################################

## Generate messages in the 'msg' folder
add_message_files(
  FILES
  Attitude.msg
  BasicStatus.msg
  Battery.msg
  RCState.msg
  GPSRaw.msg
  Resolution.msg
  Resolutions.msg
  Waypoint.msg
  Waypoints.msg
  VisionTarget.msg
  VisionTargets.msg
  IMURaw.msg
)

## Generate services in the 'srv' folder
add_service_files(
  FILES
  SetBasicMode.srv
  SetWaypoints.srv
  CaptureImage.srv
)

## Generate added messages and services with any dependencies listed here
generate_messages(
    DEPENDENCIES
    std_msgs
    geometry_msgs
    sensor_msgs
)

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES rospilot
#  CATKIN_DEPENDS geometry_msgs sensor_msgs std_msgs
  CATKIN_DEPENDS message_runtime
#  DEPENDS system_lib
)


###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(include src/cpp
    ${OpenCV_INCLUDE_DIRS}
    ${catkin_INCLUDE_DIRS}
    ${libnl-3.0_INCLUDE_DIRS}
    ${libnl-genl-3.0_INCLUDE_DIRS}
    ${libmicrohttpd_INCLUDE_DIRS}
    ${libavcodec_INCLUDE_DIRS}
    ${libavformat_INCLUDE_DIRS}
    ${libavutil_INCLUDE_DIRS}
    ${libswscale_INCLUDE_DIRS}
    ${Boost_INCLUDE_DIRS})

## Declare a cpp library
# add_library(rospilot
#   src/${PROJECT_NAME}/rospilot.cpp
# )

## Declare a cpp executable
# add_executable(rospilot_node src/rospilot_node.cpp)

## Add cmake target dependencies of the executable/library
## as an example, message headers may need to be generated before nodes
# add_dependencies(rospilot_node rospilot_generate_messages_cpp)

## Specify libraries to link a library or executable target against
# target_link_libraries(rospilot_node
#   ${catkin_LIBRARIES}
# )

add_executable(choose_wifi_device
    src/cpp/choose_wifi_device.cpp)
target_link_libraries(choose_wifi_device 
    ${libnl-3.0_LIBRARIES}
    ${libnl-genl-3.0_LIBRARIES}
    ${catkin_LIBRARIES})

add_executable(camera_node
    nodes/camera.cpp
    src/cpp/usb_camera.cpp
    src/cpp/ptp.cpp
    src/cpp/background_image_sink.cpp
    src/cpp/jpeg_decoder.cpp
    src/cpp/h264_server.cpp
    src/cpp/h264_utils.cpp
    src/cpp/people_detector.cpp
    src/cpp/resizer.cpp
    src/cpp/software_h264_encoder.cpp
    src/cpp/mfc_encoder.cpp
    src/cpp/third_party/usb_cam.cpp
    src/cpp/third_party/mfc/func_dev.c
    src/cpp/third_party/mfc/io_dev.c
    src/cpp/third_party/mfc/v4l_dev.c
    src/cpp/third_party/mfc/mfc.c
    src/cpp/video_recorder.cpp)
target_link_libraries(camera_node 
    ${OpenCV_LIBRARIES}
    ${LIBJPEG_TURBO_PATH}
    ${libgphoto2_LIBRARIES}
    ${libavcodec_LIBRARIES}
    ${libmicrohttpd_LIBRARIES}
    ${libavutil_LIBRARIES}
    ${libavformat_LIBRARIES}
    ${libswscale_LIBRARIES}
    ${catkin_LIBRARIES})
add_dependencies(camera_node rospilot_gencpp)

add_executable(jpeg_benchmark
    scripts/jpeg_benchmark.cpp
    src/cpp/jpeg_decoder.cpp
    src/cpp/resizer.cpp)
target_link_libraries(jpeg_benchmark 
    ${LIBJPEG_TURBO_PATH}
    ${libavcodec_LIBRARIES}
    ${libavutil_LIBRARIES}
    ${libavformat_LIBRARIES}
    ${libswscale_LIBRARIES}
    ${catkin_LIBRARIES})

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
file(GLOB nodes nodes/*)
install(PROGRAMS
  ${nodes}
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

file(GLOB scripts scripts/*.sh)
install(PROGRAMS
  ${scripts}
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark executables and/or libraries for installation
install(TARGETS camera_node
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(TARGETS choose_wifi_device 
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)
## Mark cpp header files for installation
# install(DIRECTORY include/${PROJECT_NAME}/
#   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
#   FILES_MATCHING PATTERN "*.h"
#   PATTERN ".svn" EXCLUDE
# )

install(FILES
  launch/rospilot.launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(DIRECTORY
  share/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/share
  PATTERN "mapnik-style/data" EXCLUDE
)

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_rospilot.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

=== share/web_assets/nodejs_deps/Makefile ===
build:
	rm -rf ./node_modules
	npm install

## ros-noetic-rospilot 1.6.0

=== debian/changelog ===
ros-noetic-rospilot (1.6.0-1buster) buster; urgency=high

  * Add support for Noetic
  * Update to Python3
  * Upgrade jquery to fix CVE
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sun, 06 Sep 2020 07:00:00 -0000

ros-noetic-rospilot (1.5.6-1buster) buster; urgency=high

  * Avoid thread exhaustion in h264 server
    Previously, connections didn't timeout, so a badly behaved client
    could exhaust all the threads on the host
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sat, 30 Mar 2019 07:00:00 -0000

ros-noetic-rospilot (1.5.5-1buster) buster; urgency=high

  * Fix web_ui.py serving of nodejs dependencies
  * Upgrade Bootstrap to fix CVEs
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Fri, 29 Mar 2019 07:00:00 -0000

ros-noetic-rospilot (1.5.4-1buster) buster; urgency=high

  * Update vendored NPM deps
  * Remove hard npm dependency
    npm deps must now be vendored
  * Remove Highcharts and accelerometer graph page
  * Added missing wget dependency to package.xml that was found in first_time_setup.sh.
  * Improve cold start H264 streaming to new clients
  * Refactor H264 streaming to allow Android app support
  * Contributors: Anders Fischer, Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sun, 17 Feb 2019 08:00:00 -0000

ros-noetic-rospilot (1.5.3-1buster) buster; urgency=high

  * Fix dnsmasq dependency on wlan device
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Mon, 08 Oct 2018 07:00:00 -0000

ros-noetic-rospilot (1.5.2-1buster) buster; urgency=high

  * Fix compiler warnings
  * Fix SPS & PPS ordering when using MFC encoder
    SPS should always be before PPS, as PPS references the SPS packet
  * Remove unnecessary C++11 compiler flag
  * Fix undefined behavior in AVPacket buffer management
    Use the provided av_new_packet() and av_packet_unref()
    functions instead of manual management of .data field
  * Fix undefined behavior in memory deallocation
    This buffer is an array, and therefore must be deallocated with delete[]
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sat, 22 Sep 2018 07:00:00 -0000

ros-noetic-rospilot (1.5.1-1buster) buster; urgency=high

  * Fix wlan configuration on Bionic
  * Fix Systemd service to work on Melodic
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Mon, 03 Sep 2018 07:00:00 -0000

ros-noetic-rospilot (1.5.0-1buster) buster; urgency=high

  * Upgrade to Angular 5.2.11
  * Upgrade Highcharts
  * Set both pts and dts in video recorder
  * Properly set time_base on video recorder codec
  * Remove usage of deprecated encoding/decoding functions
  * Remove usage of deprecated AVPicture
  * Fix AVStream::codec deprecation warnings
  * Add error handling for call to avformat_write_header()
  * Cleanup VideoRecorder::stop()
  * Switch Travis to build melodic
  * Update ffmpeg usage to compile against newest version
  * Update environment variable to PGPASSWORD
  * Switch to Melodic-friendly dependencies
  * Hack: monkey patch Mapnik to fix Tilestache dependency
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sat, 04 Aug 2018 07:00:00 -0000

ros-noetic-rospilot (1.4.1-1buster) buster; urgency=high

  * Switch to HTTPS for openstreetmap.org
  * Workaround camera drivers that don't set keyframe flag
  * Add support for reading raw YUV from camera
  * Refactor pixel format handling
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sat, 10 Mar 2018 08:00:00 -0000

ros-noetic-rospilot (1.4.0-1buster) buster; urgency=high

  * Add "follow me" mode
  * Add support for direct h264 capture from camera
  * Improve automatic camera selection
  * Add vibration data to display
    Also includes accelerometer clipping counts
  * Add support for battery voltage monitoring
  * Enable pre-release tests
  * Add Travis integration
  * Refactor handling of NPM dependencies
  * Add native Systemd service
  * Set dns search domain for better compatibility
  * Update wifi setup script with proper dnsmasq dependency
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sun, 19 Nov 2017 08:00:00 -0000

ros-noetic-rospilot (1.3.8-1buster) buster; urgency=high

  * Remove dependency on nodejs-legacy
    Also remove usage of vendored npm version
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Wed, 13 Sep 2017 07:00:00 -0000

ros-noetic-rospilot (1.3.7-1buster) buster; urgency=high

  * Update for newest NPM
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sat, 10 Jun 2017 07:00:00 -0000

ros-noetic-rospilot (1.3.6-1buster) buster; urgency=high

  * Add support for Pixhawk2.1
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Mon, 29 May 2017 07:00:00 -0000

ros-noetic-rospilot (1.3.5-1buster) buster; urgency=high

  * Add missing include needed on Debian
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sun, 12 Mar 2017 08:00:00 -0000

ros-noetic-rospilot (1.3.4-1buster) buster; urgency=high

  * Rescale PTS properly
  * Fix usage of deprecated API
  * Fix usage of invalid iterator
  * Add more logging to camera node
  * Fix data structure corruption due to race
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Wed, 08 Mar 2017 08:00:00 -0000

ros-noetic-rospilot (1.3.3-1buster) buster; urgency=high

  * Fix build on Debian
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Wed, 24 Aug 2016 07:00:00 -0000

ros-noetic-rospilot (1.3.2-1buster) buster; urgency=high

  * Support building on Debian


=== debian/control ===
Source: ros-noetic-rospilot
Section: misc
Priority: optional
Maintainer: Christopher Berner <christopherberner@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ffmpeg, libavcodec-dev, libavformat-dev, libavutil-dev, libgphoto2-dev, libmicrohttpd-dev, libnl-3-dev, libnl-genl-3-dev, libopencv-dev, libswscale-dev, libturbojpeg0-dev, python3-setuptools, ros-noetic-catkin, ros-noetic-geometry-msgs, ros-noetic-message-generation, ros-noetic-roscpp, ros-noetic-roslint, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-std-srvs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-rospilot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, curl, dnsmasq, gdal-bin, hostapd, libcurl4-openssl-dev, libnl-3-200, libnl-genl-3-200, mapnik-utils, osm2pgsql, postgresql-9.6-postgis-2.3, postgresql-contrib, postgresql-server-dev-all, python3-cherrypy3, python3-colorama, python3-mapnik, python3-psutil, python3-serial, ros-noetic-geometry-msgs, ros-noetic-mavlink, ros-noetic-message-runtime, ros-noetic-rosbash, ros-noetic-rosbridge-suite, ros-noetic-roslaunch, ros-noetic-rospy, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-std-srvs, ros-noetic-vision-opencv, unzip, wget
Description: rospilot

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-rospilot//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-rospilot 1.6.1

=== debian/changelog ===
ros-noetic-rospilot (1.6.1-1focal) focal; urgency=high

  * Fix systemd service to use noetic
  * Remove map server
    Tilestache is no longer supported on modern Ubuntu
  * Remove firmware directory
  * Switch to Github Actions for CI
  * Remove calls to deprecated ffmpeg functions
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sun, 21 Feb 2021 08:00:00 -0000

ros-noetic-rospilot (1.6.0-1focal) focal; urgency=high

  * Add support for Noetic
  * Update to Python3
  * Upgrade jquery to fix CVE
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sun, 06 Sep 2020 07:00:00 -0000

ros-noetic-rospilot (1.5.6-1focal) focal; urgency=high

  * Avoid thread exhaustion in h264 server
    Previously, connections didn't timeout, so a badly behaved client
    could exhaust all the threads on the host
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sat, 30 Mar 2019 07:00:00 -0000

ros-noetic-rospilot (1.5.5-1focal) focal; urgency=high

  * Fix web_ui.py serving of nodejs dependencies
  * Upgrade Bootstrap to fix CVEs
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Fri, 29 Mar 2019 07:00:00 -0000

ros-noetic-rospilot (1.5.4-1focal) focal; urgency=high

  * Update vendored NPM deps
  * Remove hard npm dependency
    npm deps must now be vendored
  * Remove Highcharts and accelerometer graph page
  * Added missing wget dependency to package.xml that was found in first_time_setup.sh.
  * Improve cold start H264 streaming to new clients
  * Refactor H264 streaming to allow Android app support
  * Contributors: Anders Fischer, Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sun, 17 Feb 2019 08:00:00 -0000

ros-noetic-rospilot (1.5.3-1focal) focal; urgency=high

  * Fix dnsmasq dependency on wlan device
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Mon, 08 Oct 2018 07:00:00 -0000

ros-noetic-rospilot (1.5.2-1focal) focal; urgency=high

  * Fix compiler warnings
  * Fix SPS & PPS ordering when using MFC encoder
    SPS should always be before PPS, as PPS references the SPS packet
  * Remove unnecessary C++11 compiler flag
  * Fix undefined behavior in AVPacket buffer management
    Use the provided av_new_packet() and av_packet_unref()
    functions instead of manual management of .data field
  * Fix undefined behavior in memory deallocation
    This buffer is an array, and therefore must be deallocated with delete[]
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sat, 22 Sep 2018 07:00:00 -0000

ros-noetic-rospilot (1.5.1-1focal) focal; urgency=high

  * Fix wlan configuration on Bionic
  * Fix Systemd service to work on Melodic
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Mon, 03 Sep 2018 07:00:00 -0000

ros-noetic-rospilot (1.5.0-1focal) focal; urgency=high

  * Upgrade to Angular 5.2.11
  * Upgrade Highcharts
  * Set both pts and dts in video recorder
  * Properly set time_base on video recorder codec
  * Remove usage of deprecated encoding/decoding functions
  * Remove usage of deprecated AVPicture
  * Fix AVStream::codec deprecation warnings
  * Add error handling for call to avformat_write_header()
  * Cleanup VideoRecorder::stop()
  * Switch Travis to build melodic
  * Update ffmpeg usage to compile against newest version
  * Update environment variable to PGPASSWORD
  * Switch to Melodic-friendly dependencies
  * Hack: monkey patch Mapnik to fix Tilestache dependency
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sat, 04 Aug 2018 07:00:00 -0000

ros-noetic-rospilot (1.4.1-1focal) focal; urgency=high

  * Switch to HTTPS for openstreetmap.org
  * Workaround camera drivers that don't set keyframe flag
  * Add support for reading raw YUV from camera
  * Refactor pixel format handling
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sat, 10 Mar 2018 08:00:00 -0000

ros-noetic-rospilot (1.4.0-1focal) focal; urgency=high

  * Add "follow me" mode
  * Add support for direct h264 capture from camera
  * Improve automatic camera selection
  * Add vibration data to display
    Also includes accelerometer clipping counts
  * Add support for battery voltage monitoring
  * Enable pre-release tests
  * Add Travis integration
  * Refactor handling of NPM dependencies
  * Add native Systemd service
  * Set dns search domain for better compatibility
  * Update wifi setup script with proper dnsmasq dependency
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sun, 19 Nov 2017 08:00:00 -0000

ros-noetic-rospilot (1.3.8-1focal) focal; urgency=high

  * Remove dependency on nodejs-legacy
    Also remove usage of vendored npm version
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Wed, 13 Sep 2017 07:00:00 -0000

ros-noetic-rospilot (1.3.7-1focal) focal; urgency=high

  * Update for newest NPM
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sat, 10 Jun 2017 07:00:00 -0000

ros-noetic-rospilot (1.3.6-1focal) focal; urgency=high

  * Add support for Pixhawk2.1
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Mon, 29 May 2017 07:00:00 -0000

ros-noetic-rospilot (1.3.5-1focal) focal; urgency=high

  * Add missing include needed on Debian
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sun, 12 Mar 2017 08:00:00 -0000

ros-noetic-rospilot (1.3.4-1focal) focal; urgency=high

  * Rescale PTS properly
  * Fix usage of deprecated API
  * Fix usage of invalid iterator
  * Add more logging to camera node
  * Fix data structure corruption due to race
  * Contributors: Christopher Berner



=== debian/control ===
Source: ros-noetic-rospilot
Section: misc
Priority: optional
Maintainer: Christopher Berner <christopherberner@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ffmpeg, libavcodec-dev, libavformat-dev, libavutil-dev, libgphoto2-dev, libmicrohttpd-dev, libnl-3-dev, libnl-genl-3-dev, libopencv-dev, libswscale-dev, libturbojpeg0-dev, python3-setuptools, ros-noetic-catkin, ros-noetic-geometry-msgs, ros-noetic-message-generation, ros-noetic-roscpp, ros-noetic-roslint, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-std-srvs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-rospilot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dnsmasq, hostapd, libnl-3-200, libnl-genl-3-200, python3-cherrypy3, python3-colorama, python3-psutil, python3-serial, ros-noetic-geometry-msgs, ros-noetic-mavlink, ros-noetic-message-runtime, ros-noetic-rosbash, ros-noetic-rosbridge-suite, ros-noetic-roslaunch, ros-noetic-rospy, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-std-srvs, ros-noetic-vision-opencv
Description: rospilot
